Bug 1793506 - speech-dispatcher fails to build with gcc 10: multiple definition of `p_msg_lc' and many others
Summary: speech-dispatcher fails to build with gcc 10: multiple definition of `p_msg_l...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: speech-dispatcher
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39 GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-21 13:48 UTC by Miro Hrončok
Modified: 2020-02-26 15:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-26 15:14:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-01-21 13:48:31 UTC
speech-dispatcher fails to build with gcc 10:

...
/usr/bin/ld: speech_dispatcher-symbols.o:/builddir/build/BUILD/speech-dispatcher-0.9.1/src/server/speaking.h:34: multiple definition of `pause_requested'; speech_dispatcher-speechd.o:/builddir/build/BUILD/speech-dispatcher-0.9.1/src/server/speaking.h:34: first defined here
/usr/bin/ld: speech_dispatcher-symbols.o:/builddir/build/BUILD/speech-dispatcher-0.9.1/src/server/speaking.h:31: multiple definition of `speaking_gid'; speech_dispatcher-speechd.o:/builddir/build/BUILD/speech-dispatcher-0.9.1/src/server/speaking.h:31: first defined here
/usr/bin/ld: speech_dispatcher-symbols.o:/builddir/build/BUILD/speech-dispatcher-0.9.1/src/server/speaking.h:30: multiple definition of `speaking_uid'; speech_dispatcher-speechd.o:/builddir/build/BUILD/speech-dispatcher-0.9.1/src/server/speaking.h:30: first defined here
/usr/bin/ld: speech_dispatcher-symbols.o:/builddir/build/BUILD/speech-dispatcher-0.9.1/src/server/speaking.h:29: multiple definition of `speaking_module'; speech_dispatcher-speechd.o:/builddir/build/BUILD/speech-dispatcher-0.9.1/src/server/speaking.h:29: first defined here
/usr/bin/ld: speech_dispatcher-symbols.o:/builddir/build/BUILD/speech-dispatcher-0.9.1/src/server/speechd.h:126: multiple definition of `spd_mode'; speech_dispatcher-speechd.o:/builddir/build/BUILD/speech-dispatcher-0.9.1/src/server/speechd.h:126: first defined here
/usr/bin/ld: speech_dispatcher-symbols.o:/builddir/build/BUILD/speech-dispatcher-0.9.1/src/server/compare.h:31: multiple definition of `p_msg_uid_lc'; speech_dispatcher-speechd.o:/builddir/build/BUILD/speech-dispatcher-0.9.1/src/server/compare.h:31: first defined here
/usr/bin/ld: speech_dispatcher-symbols.o:/builddir/build/BUILD/speech-dispatcher-0.9.1/src/server/compare.h:30: multiple definition of `p_msg_lc'; speech_dispatcher-speechd.o:/builddir/build/BUILD/speech-dispatcher-0.9.1/src/server/compare.h:30: first defined here

This blocks the Python 3.9 rebuild of the package.

See https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/RYVPP45PMWPXYBBDKXO3CI7YGL7CDQG6/ and https://gcc.gnu.org/gcc-10/porting_to.html#common for more information about the failure.

Comment 1 Ben Cotton 2020-02-11 17:31:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Fedora Release Engineering 2020-02-16 04:23:18 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule


Note You need to log in before you can comment on or make changes to this bug.